<template>
  <nuxt-link class="exercise" :to="item.url + `?access=${access}`">
    <div class="exercise-img">
      <img :src="item.image" />
      <div class="exercise-img__wrapper">
        <div class="exercise-img__specialization">
          <span v-for="spc in item.specializations"> — {{ spc }} </span>
        </div>
      </div>
    </div>
    <div class="exercise-content">
      <div class="exercise-content__title">
        {{ item.title }}
      </div>
      <div class="exercise-content__slots">— {{ item.categories }}</div>
      <div class="exercise-content__slots">
        — {{ item.event.replace(" - " + item.type_exercise, "") }}
      </div>

      <slot name="settings" />
    </div>
  </nuxt-link>
</template>

<script>
export default {
  props: {
    item: {},
    access: {},
  },
};
</script>

<style lang="scss" scoped>
.exercise {
  background-color: #fff;
  box-shadow: 1px 1.732px 10px 0 rgb(0 0 0 / 5%);
  overflow: hidden;
  cursor: pointer;
  height: fit-content;
  transition: all ease 0.3s;
  &:hover {
    box-shadow: none;
    transform: scale(1.01);

    .events-item__img {
      img {
        transform: scale(1.1);
      }
    }
  }
  &-img {
    height: 205px;
    overflow: hidden;
    transition: all ease 0.3s;
    position: relative;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      transition: all ease 0.3s;
    }
  }
  &-img__wrapper {
    position: absolute;
    bottom: 20px;
    right: 15px;
    display: flex;
  }
  &-img__specialization {
    padding: 10px;
    background-color: #0c63e4;
    color: #fff;
    font-size: 14px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    span {
      display: inherit;
      margin-bottom: 0px;
    }
  }
  &-content {
    padding: 20px;
  }
  &-content__title {
    color: #0c63e4;
    font-weight: 900;
    font-size: 18px;
    letter-spacing: 0.02em;
    margin-bottom: 10px;
  }
  &-content__slots {
    font-size: 14px;
    letter-spacing: 0.04em;
    text-underline-offset: 0.2em;
  }
}
</style>
